﻿@model eCommerce.ViewModels.ContactViewModel

@{
    //Layout = "~/Views/Shared/_LayoutMenu.cshtml";
    ViewBag.Title = "Solicitar Cotización";
}
<style>
    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
    }

    input[type="number"] {
        -moz-appearance: textfield;
    }

    #map {
        z-index: 0;
    }
</style>

<link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
      integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
      crossorigin="" />
<script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
        integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
        crossorigin=""></script>

@*<img src="~/Content/images/BannerContacto-desktop.jpg" class="-desktop" alt="Alternate Text" />
    <img src="~/Content/images/BannerContacto-mobile.jpg" class="-mobile" alt="Alternate Text" />*@

@*<div class="shop-breadcrumb hidden-xs" style="margin: 0.5rem 0 1rem;">
        <div class="shop-breadcrumb-crumb" ">


            <a href="/Contacto" class="shop-breadcrumb__item">Contacto</a>
            <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
            <a href="/" class="shop-breadcrumb__item">Home</a>

        </div>
    </div>*@

@*<div class="shop-breadcrumb visible-xs" style="margin: 0.5rem 0 1rem; margin-left: -1.5rem;">
    <div class="shop-breadcrumb-crumb" style="justify-content: flex-end;">


        <a href="/Contacto" class="shop-breadcrumb__item">Contacto</a>
        <span class="shop-breadcrumb__separator"> <i class="fas fa-chevron-right" style="font-size:10px"></i> </span>
        <a href="/" class="shop-breadcrumb__item">Home</a>

    </div>
</div>*@

<div class="container">
    <div class="row margin-top-40 m10">
        @*<div class="col-md-4 flex-contact" style="flex-direction:column;">
            <section class="contact-section">
                <h2 class="bordered">Contactanos!</h2>
            </section>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto-whatsapp.png" height="20" alt="Whatsapp" />
                <a href="https://api.whatsapp.com/send?phone=5491162575905&amp;text=Hola%20Gacsy,%20tengo%20una%20consulta."><span>+54 11 6257-5905</span></a>
            </div>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto-whatsapp.png" height="20" alt="Whatsapp" />
                <a href="https://api.whatsapp.com/send?phone=5491165520526&amp;text=Hola%20Gacsy,%20tengo%20una%20consulta."><span>+54 11 6552-0526</span></a>
            </div>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto-whatsapp.png" height="20" alt="Whatsapp" />
                <a href="https://api.whatsapp.com/send?phone=5491124991843&amp;text=Hola%20Gacsy,%20tengo%20una%20consulta."><span>+54 11 2499-1843</span></a>
            </div>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto-mail.png" height="15" alt="Mail" />
                <span>ventas@gacsy.com.ar</span>
            </div>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto-mail.png" height="15" alt="Mail" />
                <span>gacsyar@gmail.com</span>
            </div>
            <div class="icon-wrapper">
                <img src="~/Content/images/icono-contacto2-local.png" height="18" alt="Local" />
                <span>Argerich 526, CABA, Argentina</span>
            </div>
            <div class="icon-wrapper social-media">
                <div>
                    <a href="https://www.instagram.com/gacsyar/"><img src="~/Content/icons/icono-ig.png" alt="Alternate Text" /></a>
                </div>
                <div>
                    <a href="https://www.facebook.com/gacsy"><img src="~/Content/icons/icono-fb.png" alt="Alternate Text" /></a>
                </div>
            </div>
        </div>*@
        <div class="col-md-12 flex-contact cotizacion">
            <section class="contact-section leave-a-message">
                <h3 class="bordered">Completá tus datos</h3>
                <h4>y solicitá tu nota de pedido</h4>
                <form id="frmContact" class="contact-form cf-style-1 inner-top-xs no-padding" method="post">
                    <div class="field-row">
                        <div class="form-div">
                            <input type="text" class="le-input input-contacto" name="Name" placeholder="Nombre y apellido *" required id="txtName">
                        </div>
                    </div>

                    <div class="flex-contact">
                        <div class="field-row">
                            <div class="form-div">
                                <input type="text" class="le-input input-contacto" name="Phone" id="txtPhone" placeholder="Teléfono *" required>
                            </div>
                        </div>
                        <div class="field-row">
                            <div class="form-div">
                                <input type="text" class="le-input input-contacto" name="Email" id="txtEmail" placeholder="E-mail *" required>
                            </div>
                        </div>
                    </div>

                    <div class="flex-contact">
                        <div class="field-row">
                            <div class="form-div">
                                <input type="text" class="le-input input-contacto" name="Province" id="txtProvince" placeholder="Provincia *" required>
                            </div>
                        </div>
                        <div class="field-row">
                            <div class="form-div">
                                <input type="text" class="le-input input-contacto" name="City" id="txtCity" placeholder="Ciudad *" required>
                            </div>
                        </div>
                    </div>
                    

                    <div class="field-row">
                        <div class="form-div-full">
                            <textarea class="le-input input-contacto" name="Message" id="txtMessage" placeholder="Aclaraciones *" rows="5"></textarea>
                        </div>
                    </div>

                    @*<div class="g-recaptcha" data-sitekey="6LdhXFwaAAAAAMHWEj58Fh2n314BxKc_vGQBSUj9"></div>*@
                    <div class="margin-top-10"></div>
                    <div class="buttons-holder">
                        <button id="sendbtn" type="button" class="le-button huge" onclick="Send()">Solicitar Cotización</button>
                    </div>
                </form>
            </section>
        </div>

        @*<div class="col-md-6">
                <h2 class="formContact-title">¿Dónde estamos?</h2>
                <div class="m-column-reverse">
                    <div id="map"></div>
                    <div class="formContact-information">
                        <ul>
                            <li>Argerich 526, CABA, Argentina </li>
                        </ul>
                    </div>
                </div>
            </div>*@

    </div>

    <div class="row margin-top-40"></div>
</div>

@section Scripts {

    <script type="text/javascript">
        function Send() {

            $("#sendbtn").attr("disabled", true);
            if (isValidContact()) {
                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/Institucional/Contacto",
                    data: $("#frmContact").serializeArray(),
                    success: function (data) {

                        if (data.success) {
                            toastr.success("Listo! Tu mensaje ha sido enviado.");
                            clearForm();
                        } else {
                            toastr.warning("reCAPTCHA Invalido");
                        }

                    }
                });
            }
        }

        $('.js-subject').change(function () {
            var value = $(this).val();
            if (value == 3 || value == 2) {
                $('.js-order-id').removeClass('hide');
            }
            else {
                $('.js-order-id').addClass('hide');
            }

        });

        $('.js-plus').click(function () {

            if ($(this).hasClass('first')) {
                var item = $(this).closest('.contact-section').find('#frmContact');
            }
            else {
                var item = $(this).closest('.contact-section').find('.text-light');
            }

            if ($(this).text() == "+") {
                item.css('display', 'block');
                item.slideDown(400);
                $(this).text("-");
            }
            else {
                item.css('display', 'none');
                item.slideUp(400);
                $(this).text("+");
            }

        });

        $(document).ready(function () {
            $('.js-plus').click();



        });



        function clearForm() {
            $("#txtName").val("");
            $("#txtEmail").val("");
            $("#txtSubject").val("");
            $("#txtPhone").val("");
            $("#txtMessage").val("");
        }

        function isValidContact() {

            var isValid = true;
            var nombre = $("#txtName").val();
            var email = $("#txtEmail").val();
            var consulta = $("#txtMessage").val();
            var telefono = $("#txtPhone").val();

            if (nombre.length == 0) {
                $("#txtName").addClass("required");
                isValid = false;
            }
            else
                $("#txtName").removeClass("required");



            if (consulta.length == 0) {
                $("#txtMessage").addClass("required");
                isValid = false;
            }
            else
                $("#txtMessage").removeClass("required");

            if (telefono.length == 0) {
                $("#txtPhone").addClass("required");
                isValid = false;
            }
            else
                $("#txtPhone").removeClass("required");

            if (email.length == 0 || !isValidEmailAddress(email)) {
                $("#txtEmail").addClass("required");
                if (isValid) {
                    toastr.warning("El formato del email es incorrecto.");
                    return false;
                }
                else {
                    isValid = false;
                }
            }
            else
                $("#txtEmail").removeClass("required");

            if (!$('.js-order-id').hasClass('hide')) {
                if ($('#txtOrderId').val() == "") {
                    $("#txtOrderId").addClass("required");
                    isValid = false;
                } else {
                    $("#txtOrderId").removeClass("required");
                }
            }

            if (!isValid)
                toastr.warning("Complete los datos obligatorios.");

            $("#sendbtn").attr("disabled", false);
            return isValid;
        }

                        //function isValidEmailAddress(emailAddress) {
                        //    var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
                        //    return pattern.test(emailAddress);
                        //}

    </script>

}
